OpenNMS API 1.2.9

## org.opennms.netmgt.actiond
Class Executor.DatedProc

    java.lang.Object
      org.opennms.netmgt.actiond.Executor.DatedProc

Enclosing class:
  Executor

private static final class Executor.DatedProc
extends java.lang.Object

This class is designed to encapsulated a process and its start time. The start time is based upon the system clock and the runtime is the difference between the current time and the started time.

Author:
  Mike Davidson , Brian Weaver ,

  Field Summary
  `private java.lang.String` `m_cmd` The executable running
  `private java.lang.Process` `m_proc` The process returned from the `Runtime` instance.
  `private long` `m_started` The time the process was started.

  Constructor Summary
  `(package private)` `Executor.DatedProc(java.lang.String cmd, java.lang.Process p)` Constructs a new dated process.

  Method Summary
  `(package private) java.lang.Process` `getProcess()` Returns the encapsulated process.
  `(package private) long` `getRunTime()` Returns the current runtime of the process.
  `java.lang.String` `toString()` Returns the command being run by the dated process.

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  Field Detail

  ### m_cmd

      private final java.lang.String m_cmd

    The executable running

  ### m_proc

      private final java.lang.Process m_proc

    The process returned from the `Runtime` instance.

  ### m_started

      private final long m_started

    The time the process was started.

  Constructor Detail

  ### Executor.DatedProc

      Executor.DatedProc(java.lang.String cmd,
                         java.lang.Process p)

    Constructs a new dated process.

  Parameters:
    `cmd` - The command used to start the process.
    `p` - The running process.

  Method Detail

  ### getProcess

      java.lang.Process getProcess()

    Returns the encapsulated process.

  ### getRunTime

      long getRunTime()

    Returns the current runtime of the process.

  ### toString

      public java.lang.String toString()

    Returns the command being run by the dated process.

  OpenNMS API 1.2.9

  Generated by ranger on May 19 2007 2335.